# NCollection_DefineSet.hxx File Reference

`#include <NCollection_DefineBaseCollection.hxx>`
`#include <NCollection_Set.hxx>`

## Defines

#define | DEFINE_SET(_ClassName_, _BaseCollection_, TheItemType) typedef NCollection_Set<TheItemType > _ClassName_;

## Define Documentation

#define DEFINE_SET | ( | _ClassName_,
|  | _BaseCollection_,
|  | TheItemType |  | ) | typedef NCollection_Set<TheItemType > _ClassName_;